module WeatherModel
  module Storer
    require 'active_record'
    require 'ohm'
    require "ohm/expire"

    class Mysql < ::ActiveRecord::Base
      after_save :update_ohm
      def self.use_settings settings
        self.table_name = settings[:table_name]
        Ohm.use_settings settings
      end

      class Ohm < ::Ohm::Model
        def self.use_settings settings
          include ::Ohm::Expire
          # TTL = 5
          # attribute :mysqlid
          settings.keys.each { |x|
            attribute x
          }
          [:index, :unique, :expire].each do |x|
            method(x).call settings[x]
          end
          # expire TTL
        end

      private
        def son his_son # input like :Post
          # collection :posts, :Post
          collection(his_son.to_s.underscore.pluralize.to_sym, his_son) if SourceSchema.const_defined?(his_son)
        end

        def dad his_dad # input like :Post
          # reference :post, :Post
          reference(his_dad.to_s.underscore.to_sym, his_dad )if his_dad SourceSchema.const_defined?(his_son)
        end
      end
    private
      def update_ohm
        # Ohm.create()
      end   
    end


   
  end
end
